/*
    HTML@Zaurus HTML Editor for Sharp SL5xxx Linux PDA
    Copyright (C) 2002  Scott Taylor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/


#include "include/htmlproperty.h"
#include <stdio.h>

HTMLProperty::HTMLProperty()
{
	//valCount = 0;
	//myName = "notSet";
	//myValues = new QString[40];
	HTMLProperty("Not Set");
}

int HTMLProperty::getpropCount()
{
	//printf("second one is:%s\n",tester->at(2));
	return valCount;//tester->count();
}

HTMLProperty::HTMLProperty(const char *name)
{
	valCount = 0;
	myName = new QString(name);
	comment = new QString();
	tester = new QString[200];
}

void HTMLProperty::setTagComment(const char *text)
{
	//printf("comment :%s",text);
	comment = new QString(text);
}

const char * HTMLProperty::getTagComment()
{
	//printf("comment :%s\n",comment->latin1());
	return comment->latin1();
}

void HTMLProperty::addValue(const char *val)
{
		tester[valCount] = * new QString(val);
		valCount++;
}


void HTMLProperty::listValues()
{
	printf("my Count=%d\n",valCount);
	//printf("Lets put out 0=%s\n",(tester+0)->latin1());
	for(int i = 0; i < valCount; i++)
	{
		printf("Value %d = %s\n",i,(tester+i)->latin1());
	}
}

const char * HTMLProperty::getValue(int index)
{
	//printf("getting from %d\n",index);

	return (tester+index)->latin1();//(tester->at(index));
}

QString * HTMLProperty::getValue(int index, const char *val)
{
	//return (myValues+index);
}


void HTMLProperty::setName(const char *name)
{
	myName = new QString(name);

}

const char * HTMLProperty::getName()
{
	//printf("returning name:%s\n",myName->latin1());
	return myName->latin1();
}


HTMLProperty::~HTMLProperty()
{
}

