/*
    HTML@Zaurus HTML Editor for Sharp SL5xxx Linux PDA
    Copyright (C) 2002  Scott Taylor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

#ifndef HTMLPROPERTY_H
#define HTMLPROPERTY_H
#include <qstring.h>
#include <qstrlist.h>


#define MAX_PROPS 30

class QStrList;


class HTMLProperty
{


	public:
		HTMLProperty();
		HTMLProperty(const char *name);
		void addValue(const char *val);
		const char * getValue(int index);
		QString * getValue(int index, const char *val);
		void setName(const char *name);
		const char * getName();
		int getpropCount();
		void listValues();
		void setTagComment(const char *text);
		const char * getTagComment();

		~HTMLProperty();

	private:
		QString *myName;
		QString *comment;
		//QStrList *tester;
		QString *tester;
		int valCount;

};

#endif


