//#ifndef HTML_XMLP
//#define HTML_XMLP

#include <qobject.h>
#include <qxml.h>
#include <qstring.h>
#include "htmltag.h"

//public QObject,
class HTML_XMLParser :  public QXmlDefaultHandler
{

	public:
		HTML_XMLParser(bool UPPER);
		~HTML_XMLParser();
		bool startDocument();
		bool endDocument();
		bool startElement(const QString&, const QString&, const QString&, const QXmlAttributes& );
		bool endElement(const QString&, const QString&, const QString&);
		bool characters ( const QString &ch );
		void setTagArray(HTMLTag *tagArray);
		int getTagCount();
		bool docDone();


	private:
		HTMLTag *myTagArray;
		//HTMLTag *myTag;
		//HTMLProperty *htmPropTemp;
		int	tagCount;
		bool 	IS_UPPER;
		int 	propCount;
		bool	COMMENT_START;
		bool	PROP_COMMENT_START;
		bool	DOC_DONE;
	//signals:
	//	void docDone();
};

//#endif
